原先的xv6如果想要添加一个新的系统调用，过程十分复杂，需要4个步骤：
比如我们需要添加一个clone这个系统调用。
首先需要在下面的代码中添加一个系统调用表的entry：

syscall.c
```c
static uint64 (*syscalls[])(void) = {
...
[SYS_clone]    sys_clone
};
```

syscall.c
然后添加一个sys_clone的声明：

```c
...
extern uint64 sys_clone(void);
```

然后是在syscall.h中添加一个系统调用号的宏定义：

```c
...
#define SYS_clone 220
```

sysfile.c 或者 sysproc.c
最后是给sys_clone写一个定义：
```c
uint64
sys_clone(void) {
	...
}
```

摘自LostWakeUp[https://gitlab.eduxiji.net/202310336101112/LostWakeup/-/blob/final/doc/misc/syscall_tbl.md]