

测例程序调用的是这种
```c
syscall(SYS_execve, name, argv, argp);
```
所以我们只要把 syscall 的 id 对应好，名字不一定要一样，然后实现功能即可

已经把初赛所有的 test 编译好放在了 testcases/ 文件夹下面

正常的 xv6 应该是在 initcode 里面 exec(init) 从而转到了shell
因此我们可以编辑一下这段代码来 exec 系统测例

一个问题，修改了syscall参数之后，在initcode.S 里面发现还是原来的，结果是initcode是写死的，没办法改变。
注意 execve 是 exec 的简单封装，comp_exit 是 exit 的简单封装。为什么这样做是因为我不想改变 exec 的系统调用号 从 7 改为 200多的竞赛要求的那个，如果改的话还要重新改一下 initcode 那段字节码
因此我简单封装了一下

注意如果你修改了 usys.perl 或者 init.c 的话需要重新 make fs
你可以跑单个测例，修改 init.c 对应的名称即可，下面那个注释掉的版本就是跑单个测试的

查看日志： 你可以重定向 make run，例如 `make run > out.txt` 来查看测试的结果

TODO:把大家写的系统调用都融合进来然后跑测试，最好还是手动复制粘贴过来吧，不要 git merge之类的，我怕出错。。（有更好的方式可以教下我）

另外：可以使用 qemu-riscv64 [file_name] 来得到一个“标准答案”，和自己的来对比，哪里出错了
