#ifndef _SLEEPLOCK_H
#define _SLEEPLOCK_H
#include "include/types.h"
#include "include/kernel/atomic/spinlock.h"
// Long-term locks for processes
struct sleeplock {
  uint locked;       // Is the lock held?
  struct spinlock lk; // spinlock protecting this sleep lock
  
  // For debugging:
  char *name;        // Name of lock.
  int pid;           // Process holding lock
};

#endif
