struct stat;

// system calls
int fork(void);
int exit(int) __attribute__((noreturn));
int wait(int*);
int pipe2(int*);
int write(int, const void*, int);
int read(int, void*, int);
int close(int);
int kill(int);
// int exec(const char*,char**);
int execve(const char*, char**,char**);
int open(const char*, int);
int mknod(short,short, short, short);
int unlink(const char*);
int fstat(int fd, struct stat*);
int link(const char*, const char*);
int mkdir(const char*);
int chdir(const char*);
int dup(int);
int getpid(void);
char* sbrk(int);
int sleep(int);
int uptime(void);
int shutdown(int);
int getdents64(int,void*,int);
int mkdirat(int,const char*,int);
int mount(const char *special, const char *dir, const char *fstype, unsigned long flags, const void *data);
int dev(int, short, short);

// ulib.c
int stat(const char*, struct stat*);
char* strcpy(char*, const char*);
void *memmove(void*, const void*, int);
char* strchr(const char*, char c);
int strcmp(const char*, const char*);
void fprintf(int, const char*, ...);
void printf(const char*, ...);
char* gets(char*, int max);
uint strlen(const char*);
void* memset(void*, int, uint);
void* malloc(uint);
void free(void*);
int atoi(const char*);
int memcmp(const void *, const void *, uint);
void *memcpy(void *, const void *, uint);
